PDA

View Full Version : Base Game Compatibility


MogHughson
22nd Dec 2008, 9:39 PM
I have small check-list for making objects base game compatible and one of the items on that check-list is to ensure each node in a BHAV has a Node Version of 0x00. However, I've been looking at a Base Game semi-global BHAV that contains within it some instructions that have a Node Version of 0x01.

So my question is,

a) am I running with an incorrect assumption that Base Game requires Node Version of 0x00 (although it is obviously simpler to assume that is true to make it certain of compatibility)
b) or does the installation of an Expansion Pack alter the contents of the Base Game folder's objects.package BHAVs?

Cheers
Mog

J. M. Pescado
29th Dec 2008, 1:11 PM
NV1 has existed in base game for many functions, so if it appears in the base game's objects.package, then NV1 is valid for that particular opcode in basegame. In many cases, the nodeversion does nothing at all, though.

MogHughson
29th Dec 2008, 2:22 PM
Thanks for the confirmation.